Gecode::ArrayTraits< A > Class Template Reference

Traits of arrays in Gecode. More...

`#include <array.hpp>`

## Detailed Description

template<class A>
class Gecode::ArrayTraits< A >

Traits of arrays in Gecode.

This class collects the traits of an array in Gecode. The traits used are the following.

- `typedef Type StorageType` where `Type` is the type of an appropriate storage type for this array.
- `typedef Type ValueType` where `Type` is the type of the elements of this array.
- `typedef Type ArgsType` where `Type` is the type of the appropriate Args-array type (e.g., `BoolVarArgs` if `A` is `BoolVarArray`).

Definition at line 94 of file array.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/data/array.hpp